import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/api/forumapp/forum/postinfo/` + url, ...arg)

/**
 * 帖子信息表Api接口管理器
 *
 * @author 金吉龙
 * @date  2025/07/16 08:46
 **/
export default {
	// 获取帖子信息表分页
	forumPostInfoPage(data) {
		return request('page', data, 'get')
	},
	// 提交帖子信息表表单 edit为true时为编辑，默认为新增
	forumPostInfoSubmitForm(data, edit = false) {
		return request(edit ? 'edit' : 'add', data)
	},
	// 删除帖子信息表
	forumPostInfoDelete(data) {
		return request('delete', data)
	},
	// 获取帖子信息表详情
	forumPostInfoDetail(data) {
		return request('detail', data, 'get')
	}}
